Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibatis.jpetstore.presentation
Class AccountBean

    java.lang.Object
      org.apache.struts.action.ActionForm
          com.ibatis.struts.BaseBean
              com.ibatis.jpetstore.presentation.AccountBean

All Implemented Interfaces:
  Serializable

public class AccountBean
extends com.ibatis.struts.BaseBean

See Also:
  Serialized Form

Field Summary
`private Account` | `account`
`private boolean` | `accountBannerOption`
`private boolean` | `accountListOption`
`private static AccountService` | `accountService`
`private boolean` | `authenticated`
`private static CatalogService` | `catalogService`
`private static List` | `CATEGORY_LIST`
`private static List` | `LANGUAGE_LIST`
`private com.ibatis.common.util.PaginatedList` | `myList`
`private String` | `pageDirection`
`private String` | `repeatedPassword`
`private static String` | `VALIDATE_EDIT_ACCOUNT`
`private static String` | `VALIDATE_NEW_ACCOUNT`
`private String` | `validation`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`AccountBean()`

Method Summary
`void` | `clear()`
`String` | `editAccount()`
`String` | `editAccountForm()`
`Account` | `getAccount()`
`List` | `getCategories()`
`List` | `getLanguages()`
`com.ibatis.common.util.PaginatedList` | `getMyList()`
`String` | `getPageDirection()`
`String` | `getPassword()`
`String` | `getRepeatedPassword()`
`String` | `getUsername()`
`String` | `getValidation()`
`boolean` | `isAccountBannerOption()`
`boolean` | `isAccountListOption()`
`boolean` | `isAuthenticated()`
`String` | `newAccount()`
`void` | `reset()`
`void` | `setAccount(Account account)`
`void` | `setAccountBannerOption(boolean bannerOption)`
`void` | `setAccountListOption(boolean listOption)`
`void` | `setMyList(com.ibatis.common.util.PaginatedList myList)`
`void` | `setPageDirection(String pageDirection)`
`void` | `setPassword(String password)`
`void` | `setRepeatedPassword(String repeatedPassword)`
`void` | `setUsername(String username)`
`void` | `setValidation(String validation)`
`String` | `signoff()`
`String` | `signon()`
`String` | `switchMyListPage()`
`void` | `validate()`

Methods inherited from class com.ibatis.struts.BaseBean
`reset, reset, validate, validate, validateRequiredField`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, setMultipartRequestHandler, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### accountService

    private static final AccountService accountService

### catalogService

    private static final CatalogService catalogService

### VALIDATE_NEW_ACCOUNT

    private static final String VALIDATE_NEW_ACCOUNT

See Also:
  Constant Field Values

### VALIDATE_EDIT_ACCOUNT

    private static final String VALIDATE_EDIT_ACCOUNT

See Also:
  Constant Field Values

### LANGUAGE_LIST

    private static final List LANGUAGE_LIST

### CATEGORY_LIST

    private static final List CATEGORY_LIST

### account

    private Account account

### repeatedPassword

    private String repeatedPassword

### pageDirection

    private String pageDirection

### validation

    private String validation

### myList

    private com.ibatis.common.util.PaginatedList myList

### authenticated

    private boolean authenticated

### accountBannerOption

    private boolean accountBannerOption

### accountListOption

    private boolean accountListOption

Constructor Detail

### AccountBean

    public AccountBean()

Method Detail

### getUsername

    public String getUsername()

### setUsername

    public void setUsername(String username)

### getPassword

    public String getPassword()

### setPassword

    public void setPassword(String password)

### getMyList

    public com.ibatis.common.util.PaginatedList getMyList()

### setMyList

    public void setMyList(com.ibatis.common.util.PaginatedList myList)

### getRepeatedPassword

    public String getRepeatedPassword()

### setRepeatedPassword

    public void setRepeatedPassword(String repeatedPassword)

### getAccount

    public Account getAccount()

### setAccount

    public void setAccount(Account account)

### getLanguages

    public List getLanguages()

### getCategories

    public List getCategories()

### getPageDirection

    public String getPageDirection()

### setPageDirection

    public void setPageDirection(String pageDirection)

### getValidation

    public String getValidation()

### setValidation

    public void setValidation(String validation)

### isAccountBannerOption

    public boolean isAccountBannerOption()

### setAccountBannerOption

    public void setAccountBannerOption(boolean bannerOption)

### isAccountListOption

    public boolean isAccountListOption()

### setAccountListOption

    public void setAccountListOption(boolean listOption)

### newAccount

    public String newAccount()

### editAccountForm

    public String editAccountForm()

### editAccount

    public String editAccount()

### switchMyListPage

    public String switchMyListPage()

### signon

    public String signon()

### signoff

    public String signoff()

### isAuthenticated

    public boolean isAuthenticated()

### reset

    public void reset()

### clear

    public void clear()

### validate

    public void validate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.